Bug 226731 - "Error activating XKB configuration" logging in from X-Terminal via GDM
"Error activating XKB configuration" logging in from X-Terminal via GDM
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-keyboard (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-01 04:38 EST by Joachim Backes
Modified: 2009-01-09 02:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:03:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Contents of the error popup (39.84 KB, image/png)
2007-02-01 04:38 EST, Joachim Backes
no flags Details
Popup window: Error activating XKB configuration. (24.14 KB, image/jpeg)
2008-03-25 02:31 EDT, Joachim Backes
no flags Details
Network trace of setxkbmap -v which fails (11.84 KB, application/octet-stream)
2008-04-09 12:58 EDT, Philip Pokorny
no flags Details

  None (edit)
Description Joachim Backes 2007-02-01 04:38:42 EST
Description of problem:
I'm working on an IGEL X-Terminal and logging in to FC6. After i'm logged in
successfully, some error msg appears on the desktop saying: Error activating XKB
configuration.

The whole msg is attached as png file.

Doing the desired actions:

1.
gconftool-2 -R /desktop/gnome/peripherals/keyboard/kb
layouts = [de  nodeadkeys]
 model = pc102
 overrideSettings = false
 options = []

2.
xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "xfree86", "pc104", "de", "nodeadkeys", ""
_XKB_RULES_NAMES(STRING) = "xfree86", "pc104", "de", "nodeadkeys", ""
Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Login by gdm via IGEL terminal
2.
3.
  
Actual results:
Error msg

Expected results:
noo error msg

Additional info:
Comment 1 Joachim Backes 2007-02-01 04:38:42 EST
Created attachment 147081 [details]
Contents of the error popup
Comment 2 Matěj Cepl 2008-03-03 16:32:03 EST
Reporter, is this still actual issue with the latest upgrades of a supported
distribution (Fedora 7, Fedora 8, or Rawhide)?
Comment 3 Ray Strode [halfline] 2008-03-18 14:41:06 EDT
Hi,

We no longer support Fedora Core 6 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)
Comment 4 Joachim Backes 2008-03-25 02:31:12 EDT
Created attachment 298977 [details]
Popup window: Error activating XKB configuration.

Popup window: Error activating XKB configuration.
Comment 5 Joachim Backes 2008-03-25 02:32:18 EDT
The problem still persists in F8. See the attached jpeg.
Comment 6 Philip Pokorny 2008-03-31 19:44:37 EDT
This also happens when using Red Hat 5 as an X terminal accessing a Red Hat 4
system.  I have "1=Terminal -query redhat4" in the Red Hat 5
/etc/gdm/custom.conf file.

In that case, the dialog text is:

Error activating XKB configuration.
Probably internal X server problem.

X server version data:
The X.Org Foundation
70101000

If you report this situation as a bug, please include:
- The result of xprop -root | grep XKB
- The result of gconftool-2 -R /desktop/gnome/peripherals/keyboard/xkb

And the requested info is:

$ xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "xorg", "pc105", "us", "", ""
_XKB_RULES_NAMES(STRING) = "xorg", "pc105", "us", "", ""
$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/xkb
 layouts = [us]
 model = pc105
 overrideSettings = false
 options = []
 update_handlers = []
Comment 7 Bug Zapper 2008-04-04 02:03:19 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Philip Pokorny 2008-04-09 12:38:29 EDT
Changing version to F8 based on comment #5.
Comment 9 Philip Pokorny 2008-04-09 12:58:27 EDT
Created attachment 301850 [details]
Network trace of setxkbmap -v which fails

Perhaps this network trace will help.  It is a capture of "setxkbmap -v" which
fails with:

$ setxkbmap -v
Trying to build keymap using the following components:
keycodes:   xfree86+aliases(qwerty)
types:	    complete
compat:     complete
symbols:    pc/pc(pc105)+pc/us
geometry:   pc(pc105)
Error loading new keyboard description

It's strange that the text includes "xfree86" when both the server and client
are Xorg X servers...

Wireshark doesn't decode the XKEYBOARD protocol, so it's not clear why the
request failed, but it's interesting that the reply clearly doesn't follow the
standard X11 reply format with errorcode, error_sequencenumber, minor- or
major-opcode fields.

Here's some interesting information about remote X sessions and keyboard:
http://swik.net/xkeyboard-config/X+Window+Keyboard+and+around/...+libwhat%3F/2um4
Comment 10 Bug Zapper 2008-11-26 02:10:06 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-01-09 02:03:52 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.